package sqrt.action;

import javax.servlet.ServletContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import net.sourceforge.stripes.action.ActionBean;
import net.sourceforge.stripes.action.ActionBeanContext;
import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;

import net.sourceforge.stripes.validation.DoubleTypeConverter;
import net.sourceforge.stripes.validation.LocalizableError;
import net.sourceforge.stripes.validation.Validate;
import net.sourceforge.stripes.validation.ValidationErrors;
import net.sourceforge.stripes.validation.ValidationMethod;

public class SqrtAction implements ActionBean {
    private Log log;
    private ActionBeanContext context;

    // form fields
    @Validate(required=true, minvalue=0, converter=DoubleTypeConverter.class)
    private Double number;
    // result
    private Double result;

    public SqrtAction() {
        this.log = LogFactory.getLog(this.getClass());
    }

    public ActionBeanContext getContext() { return context; }
    public void setContext(ActionBeanContext context) { this.context = context; }

    public Double getNumber() { return this.number; }
    public void setNumber(Double number) { this.number = number; }

    public Double getResult() { return this.result; }
    public void setResult(Double result) { this.result = result; }

    public Resolution sqrt() {
	result = Math.sqrt(number);
	return new ForwardResolution("/output.jsp");
    }

}
